Bug 1630938 - Refactor restoring VM attributes during migration
Summary: Refactor restoring VM attributes during migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.9.5
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On: 1630783
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-19 14:55 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
8 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1630783
Environment:
Last Closed: 2018-11-05 13:59:40 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-09-19 15:08:40 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/8496325e055058186c516609513531d514aff05c
commit 8496325e055058186c516609513531d514aff05c
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Aug  2 17:23:27 2018 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Thu Aug  2 17:23:27 2018 -0400

    Merge pull request #385 from fdupont-redhat/v2v_specs_restorevmattributes

    Add specs for Transformation - RestoreVmAttributes
    (cherry picked from commit 5111136625d1ef8776a82f6074f58d39ecefbe7d)

    https://bugzilla.redhat.com/show_bug.cgi?id=1630938

 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/restorevmattributes.rb | 42 +-
 spec/content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/restorevmattributes_spec.rb | 177 +
 2 files changed, 211 insertions(+), 8 deletions(-)

Comment 4 Yadnyawalk Tale 2018-10-09 05:04:16 UTC
Fixed! I can see destination vms have same attributes which we have on target before migration. Considered Tags, Cores, CPUs, MAC address.

Verified on: 5.9.5.0.20180927190514_e161d8f
Thanks!

Comment 6 errata-xmlrpc 2018-11-05 13:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.